%define module_name	3c90x
%define module_version	1.0.2
%define module_release	alt14.6

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: 3COM 3c90x network card drivers
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.7

ExclusiveOS: Linux
URL: http://www.kernel.org/
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:	coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
This package contains 3com 3c90x nic drivers for linux kernel

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
gcc -c 3c90x.c -O2 -Wall -Wstrict-prototypes -fomit-frame-pointer \
-I%_includedir/linux-%kversion-%flavour/include \
-fno-strength-reduce -pipe -DMODULE -D__KERNEL__ -DMODVERSIONS

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
install -p -m644 3c90x.o $RPM_BUILD_ROOT/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt14.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt13.6
- Define %%module_release macro like other kernel-modules-* packages do.
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt12.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt11.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt10.6
- Updated for the new compiler version selection scheme (GCC_VERSION).
- Fixed BuildRequires.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt9.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt8.6
- Changed %%module_dir to avoid clash with kernel-image-%%flavour.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 1.0.2-alt7.6
- replaced /usr/include to _includedir

* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt7
- rebuilt with 2.4.21-alt23

* Mon Sep 01 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt6
- rebuilt with 2.4.21-alt22

* Mon Aug 25 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt5
- rebuilt with 2.4.21-alt21

* Wed Aug 20 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt4
- rebuilt with 2.4.21-alt19

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt3
- rebuilt with 2.4.21-alt18

* Thu Aug 07 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt2
- rebuilt with 2.4.21-alt14
- spec sanity check

* Thu Aug  7 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0.2-alt1
- Changed for 'aw' flavour

* Thu Jul 31 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.0.2-alt1
- Initial build


